commit 3db27129183c0a9873dbc4cecb67b98dfc52031e
Author: freddy77 <freddy77>
Date:   Thu Apr 16 07:24:25 2009 +0000

    fix extension stripping

diff --git a/ChangeLog b/ChangeLog
index f780385..c52fdae 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Apr 16 09:23:45 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/common.c: fix extension stripping
+
 Wed Apr 15 22:54:49 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/common.c: fix dirname for win32
 
@@ -1467,4 +1470,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2766 2009/04/15 20:55:03 freddy77 Exp $
+$Id: ChangeLog,v 1.2767 2009/04/16 07:24:25 freddy77 Exp $
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index 055bf6c..5bc071a 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -14,7 +14,7 @@
 
 #include "replacements.h"
 
-static char software_version[] = "$Id: common.c,v 1.34 2009/04/15 20:55:03 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.35 2009/04/16 07:24:25 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -136,7 +136,7 @@ read_login_info(int argc, char **argv)
 	
 	BASENAME = tds_basename(ARGV0);
 #if defined(WIN32) || defined(__VMS)
-	s1 = strrchr(ARGV0, '.');
+	s1 = strrchr(BASENAME, '.');
 	if (s1) *s1 = 0;
 #endif
 	DIRNAME = dirname(ARGV0);

